LibreOffice: DatabaseContext Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

List of all members
DatabaseContext Service Referencepublished

is the context for accessing datasource. More...

`import"DatabaseContext.idl";`

Inheritance diagram for DatabaseContext:

## Additional Inherited Members
Exported Interfaces inherited from XDatabaseContext
interface | com::sun::star::container::XEnumerationAccess
| Enumeration on all registered data sources. More...
interface | com::sun::star::container::XNameAccess
| NameAccess on all registered data sources. More...
interface | com::sun::star::uno::XNamingService
| Interface for registering new datasources. More...
interface | com::sun::star::container::XContainer
| Interface for registering listener to get notified when new datasources are created or removed. More...
interface | com::sun::star::lang::XSingleServiceFactory
| Interface for creation of new datasources. More...
interface | XDatabaseRegistrations
| allows to access and modify the configuration data for registered data source. More...
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XNamingService
com::sun::star::uno::XInterface | getRegisteredObject ([in] string Name) raises (Exception)
| provides a previous registered object. More...
void | registerObject ([in]string Name, [in]com::sun::star::uno::XInterface Object) raises (Exception)
| registers one object under the specified name. More...
void | revokeObject ([in]string Name) raises (Exception)
| revokes the registration of an object. More...
Public Member Functions inherited from XContainer
void | addContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| adds the specified listener to receive events when elements are inserted or removed. More...
void | removeContainerListener ([in] com::sun::star::container::XContainerListener xListener)
| removes the specified listener so it does not receive any events from this container. More...
Public Member Functions inherited from XSingleServiceFactory
com::sun::star::uno::XInterface | createInstance () raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation. More...
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| Creates an instance of a service implementation initialized with some arguments. More...
Public Member Functions inherited from XDatabaseRegistrations
boolean | hasRegisteredDatabase ([in] string Name) raises ( ::com::sun::star::lang::IllegalArgumentException )
| determines whether a database is registered under the given name. More...
sequence< string > | getRegistrationNames ()
| returns the names of all registered databases More...
string | getDatabaseLocation ([in] string Name) raises ( ::com::sun::star::lang::IllegalArgumentException , ::com::sun::star::container::NoSuchElementException )
| returns the location of the database registered under the given name More...
void | registerDatabaseLocation ([in] string Name, [in] string Location) raises ( ::com::sun::star::lang::IllegalArgumentException , ::com::sun::star::container::ElementExistException )
| registers a database, given by location, under a given name More...
void | revokeDatabaseLocation ([in] string Name) raises ( ::com::sun::star::lang::IllegalArgumentException , ::com::sun::star::container::NoSuchElementException , ::com::sun::star::lang::IllegalAccessException )
| revokes the registration of a database, given by name More...
void | changeDatabaseLocation ([in] string Name, [in] string NewLocation) raises ( ::com::sun::star::lang::IllegalArgumentException , ::com::sun::star::container::NoSuchElementException , ::com::sun::star::lang::IllegalAccessException )
| changes the location of a given database registration More...
boolean | isDatabaseRegistrationReadOnly ([in] string Name) raises ( ::com::sun::star::lang::IllegalArgumentException , ::com::sun::star::container::NoSuchElementException )
| determines whether the registration data for a database given by name is read-only. More...
void | addDatabaseRegistrationsListener ([in] XDatabaseRegistrationsListener Listener)
| registers a listener which is notified of changes in the registered databases More...
void | removeDatabaseRegistrationsListener ([in] XDatabaseRegistrationsListener Listener)
| revokes a previously registered listener More...

## Detailed Description

is the context for accessing datasource.

A datasource contains information how to create a connection to a database, such as, which database driver should be used, for which user should a connection be established, etc.
The context stores datasources under a given name.

See also
  com::sun::star::sdb::DataSource

Developers Guide
  Database - Data Sources in OpenOffice.org API - DatabaseContext

The documentation for this service was generated from the following file:

- com/sun/star/sdb/DatabaseContext.idl